| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelStorage

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.
Documentation
data PixelStoreDirection

Constructors

Pack |
Unpack |

Instances

Eq PixelStoreDirection |
Ord PixelStoreDirection |
Show PixelStoreDirection |

swapBytes :: PixelStoreDirection -> StateVar Bool
lsbFirst :: PixelStoreDirection -> StateVar Bool
rowLength :: PixelStoreDirection -> StateVar GLint
skipRows :: PixelStoreDirection -> StateVar GLint
skipPixels :: PixelStoreDirection -> StateVar GLint
rowAlignment :: PixelStoreDirection -> StateVar GLint
imageHeight :: PixelStoreDirection -> StateVar GLint
skipImages :: PixelStoreDirection -> StateVar GLint
Produced by Haddock version 2.7.2